Bug 612660 - Update request to latest denemo, current release unusable
Summary: Update request to latest denemo, current release unusable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: denemo
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Roy Rankin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-08 18:03 UTC by Niels Mayer
Modified: 2010-08-31 06:37 UTC (History)
1 user (show)

Fixed In Version: denemo-0.8.18-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-31 06:37:14 UTC


Attachments (Terms of Use)

Description Niels Mayer 2010-07-08 18:03:11 UTC
Description of problem:

Fedora packages an unusable and obsolete version of Denemo. I've compiled and tested the latest version - 0.8.18 - and that should be made available on Fedora, ASAP.

http://denemo.org/index.php/Get_Denemo states "Some
Distributions provide Denemo-packages. Mostly they are not up-to-date.
Don't use a version below 0.8.10. " Fedora packages 0.8.4-3 which is a "don't use version" according to the developers.

Version-Release number of selected component (if applicable):

0.8.4-3

How reproducible:

Always

Steps to Reproduce:
1. run dememo 0.8.4-3
2. it has bugs and the developers say not to use versions < 0.8.10
3. run denemo 0.8.18 -- it has fewer bugs.
  
Actual results:

https://bugzilla.redhat.com/show_bug.cgi?id=603460
https://bugzilla.redhat.com/show_bug.cgi?id=605467

Expected results:

https://bugzilla.redhat.com/show_bug.cgi?id=603460 --> fixed
https://bugzilla.redhat.com/show_bug.cgi?id=605467 --> fixed
many other bugs --> fixed

Additional info:

Here are my notes on compiling and testing the latest Denemo release on Fedora, posted to Linux-Audio-Developers list: http://lalists.stanford.edu/lad/2010/07/0129.html

Comment 1 Roy Rankin 2010-07-13 04:30:01 UTC
my tests of 0.8.18 in fedora 13 indicate that it often freezes on startup. I have filed upstream bug reports on this. I consider freezing on startup a show stopper.  

Also my previous testing of 0.8.16 had issues with default command set(fixed in 0.8.18).

Comment 2 Fedora Update System 2010-07-26 03:22:43 UTC
denemo-0.8.18-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/denemo-0.8.18-2.fc12

Comment 3 Fedora Update System 2010-07-27 02:35:46 UTC
denemo-0.8.18-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update denemo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/denemo-0.8.18-2.fc12

Comment 4 Fedora Update System 2010-08-31 06:37:05 UTC
denemo-0.8.18-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.